API Reference
Integrate the Loopscale protocol
cURL
curl --request POST \ --url https://tars.loopscale.com/v1/markets/loop/info \ --header 'Content-Type: application/json' \ --data ' { "loopVaults": [ "<string>" ], "tags": [ "<string>" ] } '
{ "USDC-mSOL": { "collateralMint": "mSoLzYCxHdYgdzU6D4T7u7o5fF5THa4X5QfP7sXepom", "principalMint": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v", "collateralDeposited": 1000000000, "collateralApyPct": 7.2, "maxLeverage": 4, "name": "mSOL / USDC", "maxLeveragedApyPct": 12.9, "principalAmountAvailable": 50000000000, "routeType": 0, "tags": "[\"Leverage\"]", "quoteFetchParams": {}, "collateralDepositedUsd": 180000, "maxCollateralAmount": null, "aumLimit": null, "feVisible": true, "wAvgLeverage": 2.8, "wAvgApy": 8.1, "oneWeekCollateralDepositsUsd": 25000, "creationTime": 1739059200, "featured": false, "rolloverId": null, "metadata": null, "statsLastUpdated": 1741046400, "totalPrincipalDeployed": 42000000000, "totalCollateralAmount": 1000000000 } }
Returns loop vault info keyed by loop vault identifier. You can filter by explicit vault identifiers and/or by tags.
Optional list of loop vault identifiers to fetch. Supports known vault identifiers and principal-collateral pair identifiers formatted as -.
Optional list of tags to filter loop vaults by.
Loop vault info keyed by loop vault identifier
Map of loop vault identifier to loop vault info.
Show child attributes